Package org.jboss.resteasy.plugins.providers.multipart

## Interface MultipartRelatedInput

- All Superinterfaces:
    `MultipartInput`
  All Known Implementing Classes:
    `MultipartRelatedInputImpl`

      public interface MultipartRelatedInput
      extends MultipartInput

  Represents a multipart/related (RFC2387) incoming mime message. A multipart/related message is used to hold a root or start part and other parts which are referenced from the root part. All parts have a unique id. The type and the id of the start part is presented in parameters in the message content-type header.
  Version:
    $Revision: 1 $
  Author:
    Attila Kiraly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​InputPart>` | `getRelatedMap()` |
    `InputPart` | `getRootPart()` |
    `String` | `getStart()` | A start parameter is not mandatory in a message.
    `String` | `getStartInfo()` | Optional.
    `String` | `getType()` | The type parameter as it was read from the content-type header of the multipart/related message.

    - ### Methods inherited from interface org.jboss.resteasy.plugins.providers.multipart.MultipartInput

      `close, getParts, getPreamble`

- - ### Method Detail

    - #### getType

          String getType()

      The type parameter as it was read from the content-type header of the multipart/related message. A well formed multipart/related message always has this parameter. This is the type of the root part of the message. If a content-type header is presented in the root part as well it should hold the same value.
      Returns:
        the type parameter of the content-type header of the message, null if there was no such parameter

    - #### getStart

          String getStart()

      A start parameter is not mandatory in a message. If it is presented it holds the id of the root part.
      Returns:
        the start parameter of the content-type header of the message, null if there was no such parameter

    - #### getStartInfo

          String getStartInfo()

      Optional.
      Returns:
        the start-info parameter of the content-type header of the message, null if there was no such parameter

    - #### getRootPart

          InputPart getRootPart()

      Returns:
        the root part of the message. If a start parameter was set in the message header the part with that id is returned. If no start parameter was set the first part is returned.

    - #### getRelatedMap

          Map<String,​InputPart> getRelatedMap()

      Returns:
        a map holding all parts with their unique id-s as keys. The root part and the related parts too.